Bug 17895 - links mishaps cause faulty update
Summary: links mishaps cause faulty update
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xaw3d   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-26 21:56 UTC by Michal Jaegermann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-26 21:56:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2000-09-26 21:56:39 UTC
In Xaw3d-devel-1.3-21 /usr/X11R6/include/X11/Xaw3d was a link to
../Xaw3d and the later the real directory.  For Xaw3d-devel-1.5-7
this is another way around.  Running an update without deleting
links in a preinstall script is causing a creation of circular
references and a silent update failure. An attempt to
'cd /usr/X11R6/include/X11/Xaw3d' will fail with "Too many levels of
symbolic links".

As rpm database registers as installed a new package and all its files
fixing that requires a removal of faulty links and 'rpm --force ...'
this again.

  Michal
  michal@hardata.com

Comment 1 Ngo Than 2000-10-11 11:33:20 UTC
This problem is fixed in Xaw3d-1.5-8.


Note You need to log in before you can comment on or make changes to this bug.